# Functor Imperative.S.AbstractLabeled

    module AbstractLabeled: functor (V : Sig.ANY_TYPE) -> functor (E : Sig.ORDERED_TYPE_DFT) -> Sig.IM  with type V.label = V.t and type E.label = E.t

Abstract Imperative Labeled Graphs.

Parameters:

`V` | : | `Sig.ANY_TYPE`
`E` | : | `Sig.ORDERED_TYPE_DFT`

    include Sig.I

An imperative graph with marks is an imperative graph.

    module Mark: Sig.MARK  with type graph = t and type vertex = vertex

Mark on vertices.